summaryrefslogtreecommitdiffstats
path: root/debian/mdadm.cron.d
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:43:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:43:00 +0000
commit89853c290fd822a88c56150dde50aaa1421c0c8c (patch)
treec88de9d39f187cf339e1add1f768bbda4a61130f /debian/mdadm.cron.d
parentAdding upstream version 4.2. (diff)
downloadmdadm-89853c290fd822a88c56150dde50aaa1421c0c8c.tar.xz
mdadm-89853c290fd822a88c56150dde50aaa1421c0c8c.zip
Adding debian version 4.2-5.debian/4.2-5debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/mdadm.cron.d12
-rw-r--r--debian/mdadm.cron.daily21
2 files changed, 33 insertions, 0 deletions
diff --git a/debian/mdadm.cron.d b/debian/mdadm.cron.d
new file mode 100644
index 0000000..309d180
--- /dev/null
+++ b/debian/mdadm.cron.d
@@ -0,0 +1,12 @@
+#
+# cron.d/mdadm -- schedules periodic redundancy checks of MD devices
+#
+# Copyright © martin f. krafft <madduck@madduck.net>
+# distributed under the terms of the Artistic Licence 2.0
+#
+
+# By default, run at 00:57 on every Sunday, but do nothing unless the day of
+# the month is less than or equal to 7. Thus, only run on the first Sunday of
+# each month. crontab(5) sucks, unfortunately, in this regard; therefore this
+# hack (see #380425).
+57 0 * * 0 root if [ -x /usr/share/mdadm/checkarray ] && [ $(date +\%d) -le 7 ]; then /usr/share/mdadm/checkarray --cron --all --idle --quiet; fi
diff --git a/debian/mdadm.cron.daily b/debian/mdadm.cron.daily
new file mode 100644
index 0000000..389d74b
--- /dev/null
+++ b/debian/mdadm.cron.daily
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# cron.daily/mdadm -- daily check that MD devices are functional
+#
+# Copyright © 2008 Paul Slootman <paul@debian.org>
+# distributed under the terms of the Artistic Licence 2.0
+
+# As recommended by the manpage, run
+# mdadm --monitor --scan --oneshot
+# every day to ensure that any degraded MD devices don't go unnoticed.
+# Email will go to the address specified in /etc/mdadm/mdadm.conf .
+#
+set -eu
+
+MDADM=/sbin/mdadm
+[ -x $MDADM ] || exit 0 # package may be removed but not purged
+
+[ -e /etc/default/mdadm ] && . /etc/default/mdadm
+[ $AUTOSCAN = false ] && exit 0
+
+exec $MDADM --monitor --scan --oneshot